Code review comment for ~rafaeldtinoco/ubuntu/+source/pcs:lp1855943

Revision history for this message
Andreas Hasenack (ahasenack) wrote :

I think the testsuite-python test doesn't need this guard. I was able to run it on an unprivileged lxd container:
...
(Reading database ... 35508 files and directories currently installed.)
Removing autopkgtest-satdep (0) ...
autopkgtest [14:34:01]: test snmp: [-----------------------
test disabled for unprivileged namespaces
autopkgtest [14:34:02]: test snmp: -----------------------]
autopkgtest [14:34:02]: test snmp: - - - - - - - - - - results - - - - - - - - - -
snmp SKIP exit status 77 and marked as skippable
autopkgtest [14:34:03]: @@@@@@@@@@@@@@@@@@@@ summary
status SKIP exit status 77 and marked as skippable
setup SKIP exit status 77 and marked as skippable
testsuite-ruby PASS
testsuite-python PASS
snmp SKIP exit status 77 and marked as skippable

andreas@nsnx:~/git/packages/pcs$ cat pcs/debian/tests/testsuite-python
#!/bin/sh

set -e

#ulimit -H -l unlimited 2>/dev/null || {
# # https://bugs.launchpad.net/bugs/1828228
# echo "test disabled for unprivileged namespaces"
# exit 77
#}

# Ubuntu uses http proxy breaking some tests
unset http_proxy
unset https_proxy

cat >>/etc/hosts <<EOF

192.168.1.1 rh7-1 rh7-1.localhost
192.168.1.2 rh7-2 rh7-2.localhost
192.168.1.3 rh7-3 rh7-3.localhost
EOF

python3 ./pcs_test/suite.py --fast-info 2>&1
andreas@nsnx:~/git/packages/pcs$

I ran it like this:

autopkgtest -o dep8-lxd-with-python-testsuite -U -s -B --apt-pocket=proposed ./pcs/ -- lxd ubuntu-daily:focal

It skipped 97 tests, just when run in a vm (and the guard in place, which let it run in that case).

« Back to merge proposal